#!/bin/bash
set -e

NAMED_RUN_DIR="/var/run/named"
NAMED_WORKING_DIR="/var/cache/bind"
NAMED_DDNS_DIR="/var/named/zones/ddns"

if [ "$1" = 'named' ]; then
  # create /var/run for named pid file
  mkdir -p "$NAMED_RUN_DIR"
  chmod 0775 "$NAMED_RUN_DIR"
  chown root:bind "$NAMED_RUN_DIR"

  # create named working directory
  mkdir -p "$NAMED_WORKING_DIR"
  chmod 0775 "$NAMED_WORKING_DIR"
  chown root:bind "$NAMED_WORKING_DIR"

  # create ddns zone files dir
  mkdir -p "$NAMED_DDNS_DIR"
  chmod 0775 "$NAMED_DDNS_DIR"
  chown root:bind "$NAMED_DDNS_DIR"
fi

# run as pid 1
exec "$@"